@echo off
cd %~dp0

cd ..\..
if not exist nomointerpreter.dll call build.bat
copy nomointerpreter.dll .\helloworld\C
cd helloworld
copy HelloWorld.seed .\C
cd C

echo Compilation C

@echo on

gcc -c test.c
gcc test.o nomointerpreter.dll -o test.exe

@echo off

echo Compilations ok
pause

test.exe
pause